Get import capabilities
GET/v2/themes/{themeId}/rive-graphics/capabilities
GET
/v2/themes/{themeId}/rive-graphics/capabilities
const url = 'https://api.ligr.live/rest/v2/themes/1/rive-graphics/capabilities';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/themes/1/rive-graphics/capabilities \ --header 'Authorization: Bearer <token>'Beta. This operation can change between minor versions. See Beta status.
Return native Rive import capabilities for an owned theme.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”themeId
required
number format: double
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
sourceImports
required
boolean
sourceArchives
required
boolean
sourceRequired
required
The theme requires editable source: runtime-only uploads are refused and source is always kept.
boolean
Examplegenerated
{ "sourceImports": true, "sourceArchives": true, "sourceRequired": true}Invalid Rive request
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Theme, import, graphic, version, or file not found
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive import or graphic state conflict
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive candidate or source is no longer available
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive file or configuration cannot be used
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive source imports are unavailable
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}